#!/bin/bash

export OBSDEB_BASEDIR=$(pwd)
export OBSDEB_HOME=$OBSDEB_BASEDIR/obsdeb
export OBSDEB_CONFIG_DIR=$OBSDEB_BASEDIR/config
export JAVA_HOME=$OBSDEB_BASEDIR/jre
export JAVA_COMMAND=$JAVA_HOME/bin/java

cd $OBSDEB_BASEDIR

echo "obsdeb basedir:  $OBSDEB_BASEDIR"
echo "obsdeb app home: $OBSDEB_HOME"
echo "obsdeb jre home: $JAVA_HOME"

echo "Read launcher properties"
. $OBSDEB_HOME/launcher.properties
. launcher.properties

echo "Run Obsdeb in silent mode to export database"
$JAVA_COMMAND $JAVA_OPTS -Dobsdeb.log.file=$LOGFILE -jar $JAR --option obsdeb.launch.mode silent --export-db --option obsdeb.basedir $OBSDEB_BASEDIR --option config.path $OBSDEB_CONFIG_DIR
exitcode=$?
echo "Stop SIH-Allegro ObsDeb with exitcode: $exitcode"

cd $OBSDEB_BASEDIR
  